Skip to main content
Resource Center/Network Resource/L3 Network Operations

ChangeL3NetworkDhcpIpAddress

ChangeL3NetworkDhcpIpAddress

PUT/zstack/v1/l3-networks/{l3NetworkUuid}/dhcp-ip

Operation ID

ChangeL3NetworkDhcpIpAddress

Since

5.1.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • l3NetworkUuid
    StringRequired

    The L3 network UUID.

Body Fields

  • dhcpServerIp
    String

    Optional. The IPv4 address of the DHCP server.

  • dhcpv6ServerIp
    String

    Optional. The IPv6 address of the DHCP server.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • dhcpServerIp
    StringRequired

    The dhcp server IP.

  • dhcpv6ServerIp
    StringRequired

    The dhcpv 6 server IP.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.